What itunes is needed for ipod touch first gen.?

I just wanted to know what itunes version can I download on my computer to use itunes.

My desktop has the first version of window xp I think.

So can I use a version of itunes for 1 gen ipod and where can I download it?

4 Answers

Relevance
  • Anonymous
    1 decade ago
    Favorite Answer

    Itunes 7.0 and above, but it is beat to download the most recent itunes version 8.2.x or some of your itunes features like genius playlists will not work or be there.

  • 1 decade ago

    Just download the latest version of iTunes from their website. It works on every iPod, no matter the generation, and on XP.

    http://www.apple.com/itunes/

    The download button is on the right it says "Download iTunes" inside of a blue box.

  • LMG
    Lv 4
    1 decade ago

    go to apple.com or .ca if ur in canada

    they have a free download of the latest version which willl be good

    it should be compatible with windows xp i have that on my other computer and it works

  • Sarah
    Lv 4
    1 decade ago

    any version works.

    just go to apple.com

    and there's a box to download the current version of itunes.

    once its downloaded, just hook up your ipod, and it should work.

    i have a first gen. ipod touch, and it works for me too.

Still have questions? Get your answers by asking now.